# Stimulus size dependence of induced hue changes

The perceived color of an object depends not only on the spectral composition of the light reflected from its surface, but also on the visual context such as illumination and surrounding colors. We investigated how such induction of hue shifts varies with stimulus size and if the specific surround hue affects size differences. Generally, induced hue shifts decreased with increasing stimulus size. In terms of absolute value this decrease was quantitatively different for different surround hues. However, when size effects were normalized to overall induction strength the surround specificity was largly reduced. This suggests that color induction and the size effects are mediated by different mechanisms and the latter is by and large spatial.


## Files

- [kellner2016_colortilt_data.zip](kellner2016_colortilt_data.zip):  Heterochromatic hue matching data from five subjects
- [kellner2016_colortilt_code.zip](kellner2016_colortilt_code.zip):  Code to generate figures from the paper


## References

Christian Johannes Kellner and Thomas Wachtler, Stimulus size dependence of hue changes induced by chromatic surrounds, J. Opt. Soc. Am. A 33, A267-A272 (2016) [https://doi.org/10.1364/JOSAA.33.00A267](https://doi.org/10.1364/JOSAA.33.00A267)
